### Method

# EvinceView View add_text_markup_annotation_for_selected_text

since: 3.30

#### Declaration [src]

    gboolean
    ev_view_add_text_markup_annotation_for_selected_text (
      EvView* view
    )

#### Description [src]

Adds a Text Markup annotation (defaulting to a ‘highlight’ one) to the currently selected text on the document.

When the selected text spans more than one page, it will add a corresponding annotation for each page that contains selected text.

Available since: 3.30

#### Return value

Type: `gboolean`

`TRUE` if annotations were added successfully, `FALSE` otherwise.